# this specfile is inspired from fedoras'one.
# but I choose not to use git sources, I prefer using tarball
%define tarname pep8

Name:           python-%{tarname}
Version:        0.6.1
Release:        %mkrel 1
Summary:        Python style guide checker

Group:          Development/Python
# License is held in the comments of pep8.py
# setup.py claims license is Expat license, which is the same as MIT
License:        MIT
URL:            https://github.com/jcrocholl/pep8
# tarball can be dowloaded from http://pypi.python.org/pypi/pep8/%{version}#downloads
Source0:        %{tarname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-setuptools

%description
pep8 is a tool to check your Python code against some of the style conventions
in PEP 8. It has a plugin architecture, making new checks easy, and its output
is parseable, making it easy to jump to an error location in your editor.

%prep
%setup -qn %{tarname}-%{version}
# Remove #! from pep8.py
sed --in-place "s:#!\s*/usr.*::" pep8.py

%build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root %{buildroot}

 
%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.rst TODO.txt
%{_bindir}/pep8
%{python_sitelib}/*




%changelog

* Sun Sep 11 2011 grenoya <grenoya> 0.6.1-1.mga2
+ Revision: 142475
- import package from Fedora
- switch from git version to last tarball version
- clean spec
- imported package python-pep8


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 21 2011 Ian Weller <iweller@redhat.com> - 0.6.0-2
- RHBZ 633102: Requires: python-setuptools

* Tue Nov 16 2010 Ian Weller <iweller@redhat.com> - 0.6.0-1
- Changed upstream (same code, new maintainer, new URL)
- New release

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Nov  9 2009 Ian Weller <ian@ianweller.org> - 0.4.2-2
- Add BR: python-setuptools
- Change URL to the correct upstream

* Sun Nov  8 2009 Ian Weller <ian@ianweller.org> - 0.4.2-1
- Initial package build
